Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Public Attributes | List of all members
WGPULimits Struct Reference

`#include <mini_webgpu.h>`

## Public Attributes
uint32_t | maxTextureDimension1D
uint32_t | maxTextureDimension2D
uint32_t | maxTextureDimension3D
uint32_t | maxTextureArrayLayers
uint32_t | maxBindGroups
uint32_t | maxBindGroupsPlusVertexBuffers
uint32_t | maxBindingsPerBindGroup
uint32_t | maxDynamicUniformBuffersPerPipelineLayout
uint32_t | maxDynamicStorageBuffersPerPipelineLayout
uint32_t | maxSampledTexturesPerShaderStage
uint32_t | maxSamplersPerShaderStage
uint32_t | maxStorageBuffersPerShaderStage
uint32_t | maxStorageTexturesPerShaderStage
uint32_t | maxUniformBuffersPerShaderStage
uint64_t | maxUniformBufferBindingSize
uint64_t | maxStorageBufferBindingSize
uint32_t | minUniformBufferOffsetAlignment
uint32_t | minStorageBufferOffsetAlignment
uint32_t | maxVertexBuffers
uint64_t | maxBufferSize
uint32_t | maxVertexAttributes
uint32_t | maxVertexBufferArrayStride
uint32_t | maxInterStageShaderComponents
uint32_t | maxInterStageShaderVariables
uint32_t | maxColorAttachments
uint32_t | maxColorAttachmentBytesPerSample
uint32_t | maxComputeWorkgroupStorageSize
uint32_t | maxComputeInvocationsPerWorkgroup
uint32_t | maxComputeWorkgroupSizeX
uint32_t | maxComputeWorkgroupSizeY
uint32_t | maxComputeWorkgroupSizeZ
uint32_t | maxComputeWorkgroupsPerDimension

## Detailed Description

Definition at line 1276 of file mini_webgpu.h.

## Member Data Documentation

## ◆ maxTextureDimension1D

uint32_t WGPULimits::maxTextureDimension1D

Definition at line 1277 of file mini_webgpu.h.

## ◆ maxTextureDimension2D

uint32_t WGPULimits::maxTextureDimension2D

Definition at line 1278 of file mini_webgpu.h.

## ◆ maxTextureDimension3D

uint32_t WGPULimits::maxTextureDimension3D

Definition at line 1279 of file mini_webgpu.h.

## ◆ maxTextureArrayLayers

uint32_t WGPULimits::maxTextureArrayLayers

Definition at line 1280 of file mini_webgpu.h.

## ◆ maxBindGroups

uint32_t WGPULimits::maxBindGroups

Definition at line 1281 of file mini_webgpu.h.

## ◆ maxBindGroupsPlusVertexBuffers

uint32_t WGPULimits::maxBindGroupsPlusVertexBuffers

Definition at line 1282 of file mini_webgpu.h.

## ◆ maxBindingsPerBindGroup

uint32_t WGPULimits::maxBindingsPerBindGroup

Definition at line 1283 of file mini_webgpu.h.

## ◆ maxDynamicUniformBuffersPerPipelineLayout

uint32_t WGPULimits::maxDynamicUniformBuffersPerPipelineLayout

Definition at line 1284 of file mini_webgpu.h.

## ◆ maxDynamicStorageBuffersPerPipelineLayout

uint32_t WGPULimits::maxDynamicStorageBuffersPerPipelineLayout

Definition at line 1285 of file mini_webgpu.h.

## ◆ maxSampledTexturesPerShaderStage

uint32_t WGPULimits::maxSampledTexturesPerShaderStage

Definition at line 1286 of file mini_webgpu.h.

## ◆ maxSamplersPerShaderStage

uint32_t WGPULimits::maxSamplersPerShaderStage

Definition at line 1287 of file mini_webgpu.h.

## ◆ maxStorageBuffersPerShaderStage

uint32_t WGPULimits::maxStorageBuffersPerShaderStage

Definition at line 1288 of file mini_webgpu.h.

## ◆ maxStorageTexturesPerShaderStage

uint32_t WGPULimits::maxStorageTexturesPerShaderStage

Definition at line 1289 of file mini_webgpu.h.

## ◆ maxUniformBuffersPerShaderStage

uint32_t WGPULimits::maxUniformBuffersPerShaderStage

Definition at line 1290 of file mini_webgpu.h.

## ◆ maxUniformBufferBindingSize

uint64_t WGPULimits::maxUniformBufferBindingSize

Definition at line 1291 of file mini_webgpu.h.

## ◆ maxStorageBufferBindingSize

uint64_t WGPULimits::maxStorageBufferBindingSize

Definition at line 1292 of file mini_webgpu.h.

## ◆ minUniformBufferOffsetAlignment

uint32_t WGPULimits::minUniformBufferOffsetAlignment

Definition at line 1293 of file mini_webgpu.h.

## ◆ minStorageBufferOffsetAlignment

uint32_t WGPULimits::minStorageBufferOffsetAlignment

Definition at line 1294 of file mini_webgpu.h.

## ◆ maxVertexBuffers

uint32_t WGPULimits::maxVertexBuffers

Definition at line 1295 of file mini_webgpu.h.

## ◆ maxBufferSize

uint64_t WGPULimits::maxBufferSize

Definition at line 1296 of file mini_webgpu.h.

## ◆ maxVertexAttributes

uint32_t WGPULimits::maxVertexAttributes

Definition at line 1297 of file mini_webgpu.h.

## ◆ maxVertexBufferArrayStride

uint32_t WGPULimits::maxVertexBufferArrayStride

Definition at line 1298 of file mini_webgpu.h.

## ◆ maxInterStageShaderComponents

uint32_t WGPULimits::maxInterStageShaderComponents

Definition at line 1299 of file mini_webgpu.h.

## ◆ maxInterStageShaderVariables

uint32_t WGPULimits::maxInterStageShaderVariables

Definition at line 1300 of file mini_webgpu.h.

## ◆ maxColorAttachments

uint32_t WGPULimits::maxColorAttachments

Definition at line 1301 of file mini_webgpu.h.

## ◆ maxColorAttachmentBytesPerSample

uint32_t WGPULimits::maxColorAttachmentBytesPerSample

Definition at line 1302 of file mini_webgpu.h.

## ◆ maxComputeWorkgroupStorageSize

uint32_t WGPULimits::maxComputeWorkgroupStorageSize

Definition at line 1303 of file mini_webgpu.h.

## ◆ maxComputeInvocationsPerWorkgroup

uint32_t WGPULimits::maxComputeInvocationsPerWorkgroup

Definition at line 1304 of file mini_webgpu.h.

## ◆ maxComputeWorkgroupSizeX

uint32_t WGPULimits::maxComputeWorkgroupSizeX

Definition at line 1305 of file mini_webgpu.h.

## ◆ maxComputeWorkgroupSizeY

uint32_t WGPULimits::maxComputeWorkgroupSizeY

Definition at line 1306 of file mini_webgpu.h.

## ◆ maxComputeWorkgroupSizeZ

uint32_t WGPULimits::maxComputeWorkgroupSizeZ

Definition at line 1307 of file mini_webgpu.h.

## ◆ maxComputeWorkgroupsPerDimension

uint32_t WGPULimits::maxComputeWorkgroupsPerDimension

Definition at line 1308 of file mini_webgpu.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_webgpu.h